%define name telepathy-farstream
%define version 0.4.0
%define release %mkrel 1

%define major 2
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name}

Summary: Stream Engine to handle media streaming channels
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://telepathy.freedesktop.org/releases/telepathy-farstream/%{name}-%{version}.tar.xz

License: LGPLv2+
Group: Networking/Instant messaging
Url: http://telepathy.freedesktop.org/wiki/

BuildRequires: 	%{_lib}farstream0.1-devel
BuildRequires: 	%{_lib}dbus-glib-1_2-devel
BuildRequires: 	%{_lib}telepathy-glib-devel
BuildRequires: 	%{_lib}python-devel
BuildRequires: 	gstreamer0.10-python-devel
Obsoletes:	telepathy-farsight

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %libname
Group: System/Libraries
Summary: Stream Engine to handle media streaming channels
Obsoletes: %{_lib}telepathy-farstream0
Obsoletes: %{_lib}telepathy-farsight0

%description -n %libname
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %develname
Group: Development/Libraries
Summary: Stream Engine to handle media streaming channels
Requires: %libname = %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: %{_lib}telepathy-farstream-devel < %version
Obsoletes: %{_lib}telepathy-farsight-devel


%description -n %develname
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n python-%{name}
Group: Development/Python
Summary: Stream Engine to handle media streaming channels
Requires: %libname = %version-%release
Requires: gstreamer0.10-python
Obsoletes: python-telepathy-farsight

%description -n python-%{name}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
rm -f %{buildroot}%{_libdir}/libtelepathy-farstream.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libtelepathy-farstream.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/libtelepathy-farstream.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/tpfarstream.*


%changelog
* Sun Sep 15 2013 pinoc <vogtpet at gmail.com> 0.4.0-1pclos2013
- 0.4.0
- updated BR for 32/64

* Wed Oct 19 2011 Texstar <texstar at gmail.com> 0.1.1-1pclos2011
- 0.1.1
